.col-full:has(.hapoel-contact-form) {
    max-width: 1152px;
}

.hapoel-breadcrumbs .woocommerce-breadcrumb {
    font-weight: 600;
    padding-top: 20px;
    padding-bottom: 0;
    font-size: 18px;
    color: black;
}

.hapoel-breadcrumbs .woocommerce-breadcrumb a {
    font-weight: 400;
}

.hapoel-icons-list p,
.hapoel-icons-list h3 {
    margin: 0 !important;
}

.hapoel-icons-list a:hover {
    color: var(--hapoel-color-torch-red) !important;
}

.hapoel-accordion .elementor-accordion-item {
    border: none;
    border-bottom: 1px solid #E9E7F2;
}

.hapoel-accordion .elementor-tab-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    flex-direction: row-reverse;
    cursor: pointer;
}


.hapoel-contact-form .wpforms-field-label {
    font-size: 14px !important;
    color: var(--hapoel-color-throat);
    line-height: 1.6 !important;
    margin-bottom: 4px !important;
}

.hapoel-contact-form .wpforms-field-label .wpforms-required-label {
    color: var(--hapoel-color-throat);
}

.hapoel-contact-form div.wpforms-container-full input[type=email],
.hapoel-contact-form div.wpforms-container-full input[type=number],
.hapoel-contact-form div.wpforms-container-full input[type=tel],
.hapoel-contact-form div.wpforms-container-full input[type=text] {
    height: 52px;
    border-radius: 10px;
    border: 1px solid #E9E7F2 !important;
    box-shadow: none !important;

}

.hapoel-contact-form div.wpforms-container-full input[type=email].wpforms-error,
.hapoel-contact-form div.wpforms-container-full input[type=number].wpforms-error,
.hapoel-contact-form div.wpforms-container-full input[type=tel].wpforms-error,
.hapoel-contact-form div.wpforms-container-full input[type=text].wpforms-error {
    border-color: var(--hapoel-color-torch-red) !important;
}

.hapoel-contact-form div.wpforms-container-full em.wpforms-error {
    font-size: 14px;
    color: var(--hapoel-color-torch-red) !important;
    margin-top: 4px !important;
}

.hapoel-contact-form div.wpforms-container-full em.wpforms-error:before {
    display: none !important;
}

.hapoel-contact-form div.wpforms-container-full .wpforms-form textarea {
    height: 130px;
    resize: none !important;
    border-radius: 10px;
    border: 1px solid #E9E7F2 !important;
    box-shadow: none !important;
}


.hapoel-contact-form .wpforms-field-container .wpforms-field {
    margin-bottom: 16px;
    padding: 0;
}

.hapoel-contact-form .wpforms-field-container .wpforms-field.wpforms-one-half {
    margin-left: 16px;
    width: calc( 50% - 8px);
}

.hapoel-contact-form button[type="submit"].hapoel-contact-submit {
    background-color: var(--hapoel-color-torch-red) !important;
    border-radius: 100px !important;
    padding: 10px 36px !important;
    height: 50px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.hapoel-contact-form button[type="submit"].hapoel-contact-submit::after {
    content: "" !important;
    width: 24px;
    height: 24px;
    display: inline-block;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iMjEiIHZpZXdCb3g9IjAgMCAxMiAyMSIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik0xMC40MTQyIDBMMCAxMC40MTQyTDEwLjQxNDIgMjAuODI4NEwxMS44Mjg0IDE5LjQxNDJMMi44Mjg0MyAxMC40MTQyTDExLjgyODQgMS40MTQyMUwxMC40MTQyIDBaIiBmaWxsPSJ3aGl0ZSIvPgo8L3N2Zz4=");
    background-repeat: no-repeat;
    background-position: center;
    position: static !important;
    outline: none !important;
    border: none !important; 
}

:dir(ltr) .hapoel-contact-form button[type="submit"].hapoel-contact-submit::after {
    transform: rotate(180deg);
}

.hapoel-contact-form div.wpforms-container-full .wpforms-form .wpforms-submit-container {
    margin-top: 30px !important;
}

.page-template-default:has(.hapoel-page-layout) .entry-header {
    margin-top: 20px;
}

.page-template-default:has(.hapoel-page-layout) .coll-full {
    max-width: 1152px;
}

.hapoel-page-layout.has-toc {
  display: flex;
  flex-direction: row-reverse;
  gap: 20px;
  align-items: start;
  padding-bottom: 50px;
  justify-content: flex-end;
}


.hapoel-page-toc {
  position: sticky;
  top: 120px; 
  max-width: 175px;
}

.hapoel-page-toc:has(.hapoel-page-toc__nav:empty) {
    display: none;
}


.hapoel-page-toc__nav {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.hapoel-page-toc__nav a {
    color: #463A6A;
    padding: 0 0 8px;
    line-height: 1.6;
    width: auto;
    max-width: max-content;
}

.hapoel-page-toc__nav a.is-active {
    color: var(--hapoel-color-torch-red);
    border-bottom: 1px solid var(--hapoel-color-torch-red);
}

.hapoel-page-content {
    max-width: 665px;
    width: 100%;
}

.hapoel-page-layout:has(.hapoel-page-toc__nav:empty) .hapoel-page-content {
  max-width: 100%;
}


.hapoel-page-content p {
    line-height: 1.6;
    color: black;
    margin-bottom: 30px;
}

.hapoel-page-content h1,
.hapoel-page-content h2,
.hapoel-page-content h3 {
    font-size: 32px;
    font-weight: 600;
    color: black;
    margin-top: 30px;
}

.hapoel-page-content figure {
    margin-top: -110px !important;
}

.hapoel-page-content figure img {
    width: 100%;
}

@media screen and (max-width: 1024.9px) {
    .hapoel-page-toc {
        display: none;
    }

    .page-template-default:has(.hapoel-page-layout) .entry-header h1 {
        font-size: 40px;
    }
}

@media screen and (max-width: 781px) {
    .hapoel-page-content figure {
        margin-top: 30px !important;
        width: 100%;
    }
}

/* REGISTER/LOGIN PAGE START */

.page-template-default:has(.hapoel-register) .entry-header {
    display: none;
}

.hapoel.woocommerce-lost-password .entry-header,
.hapoel.woocommerce-lost-password .hapoel-breadcrumbs {
    display: none;
}

.hapoel.wc-register-only .u-column2 {
    margin: 0;
}

.hapoel-register {
    padding-top: 40px;
}

.hapoel-login {
    padding-top: 40px;
}

.hapoel-register,
.hapoel-login,
.hapoel-lost-pass {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
}

.hapoel-register-header,
.hapoel-login-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 32px;
}

.hapoel-register-header__title,
.hapoel-login-header__title {
    margin-bottom: 10px;
    font-weight: 600;
    color: black;
    font-size: 20px !important;
}

.hapoel-register-header__text,
.hapoel-login-header__text {
    max-width: 370px;
    margin: auto;
    font-size: 14px;
    color: black;
    text-align: center;
}

.hapoel-register form p,
.hapoel-login form p,
.hapoel-lost-pass form p {
    margin: 0;
    float: unset !important;
    width: 100%;
    text-align: center;
    color: #666175;
    font-size: 18px !important;
}

.hapoel-login .lost_password {
    font-size: 18px !important;
}

.hapoel-register form,
.hapoel-login form,
.hapoel-lost-pass form {
    display: flex;
    flex-direction: column;
    gap: 16px;
    max-width: 370px;
    width: 100%;
}

.site-content:has(.hapoel-login),
.site-content:has(.hapoel-register) {
    padding-top: 0 !important;
}

.hapoel-lost-pass {
    padding-top: 40px;
}

.hapoel-lost-pass .clear {
    display: none;
}

.hapoel-register form label,
.hapoel-login form label,
.hapoel-lost-pass form label {
    display: flex;
    font-weight: 400;
    line-height: 1.6;
    margin-bottom: 0;
    text-align: right;
    color: var(--hapoel-color-throat);
}

:dir(ltr) .hapoel-register form label,
:dir(ltr) .hapoel-login form label,
:dir(ltr) .hapoel-lost-pass form label {
    text-align: left;
}

.hapoel-login form .woocommerce-form-login__rememberme input {
    margin-inline-end: 10px;
}

.hapoel-register form wc-order-attribution-inputs {
    display: none;
}

.hapoel-register form label:has(+span) {
    margin-bottom: 4px;
}

.hapoel-register form label .required,
.hapoel-login form label .required,
.hapoel-lost-pass form label .required {
    color: black;
}

.hapoel-register form label  .optional {
    display: none;
}

.hapoel-register form input:not(input[type="checkbox"]),
.hapoel-login form input:not(input[type="checkbox"]),
.hapoel-los-pass form input:not(input[type="checkbox"]) {
    height: 52px;
    border-radius: 10px;
    border: 1px solid #E9E7F2 !important;
    padding: 0 10px;
}

.hapoel-register form .password-input input,
.hapoel-login form .password-input input {
    padding-right: 50px !important;
}

.hapoel-register form .password-input .show-password-input,
.hapoel-login form .password-input .show-password-input {
    top: 50%;
    transform: translateY(-50%);
}

.hapoel-register .form-row.validate-required#gender_field {
    display: flex;
    align-items: center;
}

.hapoel-register .form-row.validate-required#gender_field .woocommerce-input-wrapper .required {
    display: none;
}

.hapoel-register .form-row.validate-required#gender_field label,
.hapoel-register .form-row.validate-required#gender_field input {
    margin: 0;
}

.hapoel-register .form-row.validate-required#gender_field label {
    margin-inline-end: 15px;
}

.hapoel-register .form-row.validate-required#gender_field input {
    margin-inline-end: 8px;
    appearance: none;
    width: 20px;
    height: 20px;
    padding: 0;
    position: relative;
}

.hapoel-register .form-row.validate-required#gender_field input::after {
    content: "";
    width: 10px;
    height: 10px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--hapoel-color-torch-red);
    opacity: 0;
    border-radius: 50%;
}

.hapoel-register .form-row.validate-required#gender_field input:checked::after {
    opacity: 1;
}

.hapoel-register .form-row.validate-required#gender_field .woocommerce-input-wrapper {
    display: contents;
}

.hapoel-register #marketing_optin_field label .required,
.hapoel-register #privacy_terms_field label .required  {
    display: none;
}

.hapoel-register #privacy_terms_field label a {
    margin: 0 4px;
    color: black;
    font-weight: 400;
    display: inline-block;
}

.hapoel-register #marketing_optin_field {
    margin-top: 18px;
}

.hapoel-register #marketing_optin_field label input,
.hapoel-register #privacy_terms_field label input,
.hapoel-login .woocommerce-form-login__rememberme input {
    appearance: none;
    width: 20px;
    height: 20px;
    min-width: 20px;
    min-height: 20px;
    border: 1px solid #D2CEDF;
    border-radius: 4px;
    margin: 0;
    margin-inline-end: 8px;
    display: inline-block;
    vertical-align: middle;
    position: relative;
} 

.hapoel-login .woocommerce-form-login__rememberme input {
    margin: 0;
}

.hapoel-register #marketing_optin_field label input::after,
.hapoel-register #privacy_terms_field label input::after,
.hapoel-login .woocommerce-form-login__rememberme input:after {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    width: 10px;
    height: 10px;
    transform: translate(-50%, -50%);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iOSIgdmlld0JveD0iMCAwIDEyIDkiIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PHBhdGggZD0iTTExIDFMNC4xMjUgOEwxIDQuODE4MTgiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+PC9zdmc+");
}

.hapoel-register #marketing_optin_field label input:checked,
.hapoel-register #privacy_terms_field label input:checked,
.hapoel-login .woocommerce-form-login__rememberme input:checked {
    background-color: var(--hapoel-color-torch-red);
    border-color: var(--hapoel-color-torch-red);
}

.hapoel-register .woocommerce-form-register__submit.button,
.hapoel-login .woocommerce-form-login__submit.button,
.hapoel-lost-pass .button {
    width: 100%;
    margin-top: 16px;
}

.hapoel-register .woocommerce-form-register__submit::after,
.hapoel-login .woocommerce-form-login__submit::after,
.hapoel-lost-pass .button:after {
    content: "";
    width: 24px;
    height: 24px;
    display: inline-block;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iMjEiIHZpZXdCb3g9IjAgMCAxMiAyMSIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik0xMC40MTQyIDBMMCAxMC40MTQyTDEwLjQxNDIgMjAuODI4NEwxMS44Mjg0IDE5LjQxNDJMMi44Mjg0MyAxMC40MTQyTDExLjgyODQgMS40MTQyMUwxMC40MTQyIDBaIiBmaWxsPSJ3aGl0ZSIvPgo8L3N2Zz4=");
    background-repeat: no-repeat;
    background-position: center;
}

:dir(ltr) .hapoel-register .woocommerce-form-register__submit::after,
:dir(ltr) .hapoel-login .woocommerce-form-login__submit::after,
:dir(ltr) .hapoel-lost-pass .button:after {
    transform: rotate(180deg);
}

.hapoel-register .wc-form-footer.wc-register-footer {
    color: #666175;
    font-size: 18px !important;
    line-height: 1.6;
    text-align: center;
    margin-top: 20px;
}

.hapoel-register .woocommerce-password-hint {
    display: none;
}

/* REGISTER/LOGIN PAGE END */


/* ACCOUNT PAGES START */
.hapoel .woocommerce:has(.woocommerce-MyAccount-content) {
    display: flex;
    gap: 20px;
}

.hapoel .woocommerce-MyAccount-navigation,
.hapoel  .woocommerce-MyAccount-content {
    float: unset !important;
    width: 100% !important;
    margin: 0 !important;
    overflow: hidden;
}

.hapoel .woocommerce-MyAccount-navigation {
    max-width: 185px;
}

.hapoel .woocommerce-MyAccount-navigation ul {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.hapoel .woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link {
    border: none !important;
    font-size: 18px !important;
}

.hapoel .woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link a {
    padding: 0 0 8px !important;
    width: auto;
    max-width: max-content;
}

.hapoel .woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link a[aria-current="page"] {
    color: var(--hapoel-color-torch-red);
    border-bottom: 1px solid var(--hapoel-color-torch-red);
}

.hapoel .woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link.woocommerce-MyAccount-navigation-link--dashboard,
.hapoel .woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link.woocommerce-MyAccount-navigation-link--downloads {
    display: none;
}

.hapoel .woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link a::before {
    display: none;
}

.hapopel-form-edit-account__title {
    font-size: 32px !important;
    font-weight: 600;
    color: black;
    margin-bottom: 16px;
}

.hapoel-form-edit-account {
    width: 100%;
    max-width: 665px;
}

.hapoel-form-edit-account form {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.hapoel-form-edit-account .woocommerce-form-row {
    float: none !important;
    margin: 0 !important;
    width: 100% !important;
}

.hapoel-form-edit-account .woocommerce-form-row input:not(input[type="checkbox"]):not(input[type="radio"]),
.hapoel-form-edit-account .woocommerce-form-row input:not(input[type="checkbox"]):not(input[type="radio"]),
.hapoel-form-edit-account .woocommerce-form-row input:not(input[type="checkbox"]):not(input[type="radio"]) {
    height: 52px;
    border-radius: 10px;
    border: 1px solid #E9E7F2 !important;
    padding: 0 20px;
    outline: none;
    box-shadow: none !important;
    transition: 0.4s ease;
}

.hapoel-form-edit-account .woocommerce-form-row input:not(input[type="checkbox"]):not(input[type="radio"]):focus,
.hapoel-form-edit-account .woocommerce-form-row input:not(input[type="checkbox"]):not(input[type="radio"]):focus,
.hapoel-form-edit-account .woocommerce-form-row input:not(input[type="checkbox"]):not(input[type="radio"]):focus {
    border-color: var(--hapoel-color-torch-red) !important;
}

.hapoel-form-edit-account .woocommerce-form-row .show-password-input {
    top: 50% !important;
    transform: translateY(-50%) !important;
    padding-top: 0 !important;
}
.hapoel-form-edit-account form label {
    display: flex;
    font-weight: 400;
    line-height: 1.6;
    margin-bottom: 0;
    font-size: 14px;
    color: var(--hapoel-color-throat);
}

.hapoel-form-edit-account form label  .required {
    color: var(--hapoel-color-throat);
}

.hapoel-form-edit-account form .clear {
    display: none !important;
}

.hapoel-form-edit-account .woocommerce-form-row:has(.hapoel-gender-radios) {
    display: flex;
    align-items: center;
}

.hapoel-form-edit-account .hapoel-gender-radios {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-inline-start: 30px;
}


.hapoel-form-edit-account .hapoel-gender-radios label {
    display: flex;
    align-items: center;
}

.hapoel-form-edit-account .hapoel-gender-radios input {
    margin-inline-end: 8px;
    appearance: none;
    width: 20px;
    height: 20px;
    padding: 0;
    border: 1px solid #E9E7F2 !important;
    border-radius: 50%;
    position: relative;
    margin-inline-start: 0;
}

.hapoel-form-edit-account .hapoel-gender-radios input::after {
    content: "";
    width: 10px;
    height: 10px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--hapoel-color-torch-red);
    opacity: 0;
    border-radius: 50%;
}

.hapoel-form-edit-account .hapoel-gender-radios input:checked::after {
    opacity: 1;
}

.hapoel-form-edit-account fieldset {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.hapoel-form-edit-account fieldset legend {
    padding: 0;
    width: 100%;
    font-size: 14px;
    line-height: 1.6;
    margin: 0 0 4px !important;
}

.hapoel-form-edit-account .woocommerce-Input--password {
    height: 52px;
    border-radius: 10px;
    border: 1px solid #E9E7F2 !important;
    padding: 0 50px 0 10px !important;
}

.hapoel-form-edit-account .woocommerce-Button {
    width: 100% !important;
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: 16px;
}

.hapoel-form-edit-account .woocommerce-Button::after {
    content: "";
    width: 24px;
    height: 24px;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjMiIGhlaWdodD0iMTYiIHZpZXdCb3g9IjAgMCAyMyAxNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik0yMi44Mjg0IDEuNDE0MjFMOC40MTQyMSAxNS44Mjg0TDAgNy40MTQyMUwxLjQxNDIxIDZMOC40MTQyMSAxM0wyMS40MTQyIDBMMjIuODI4NCAxLjQxNDIxWiIgZmlsbD0iI2ZmZiIvPgo8L3N2Zz4=");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

.hapoel-address-wrapper {
    display: flex;
    flex-direction: column;
    gap: 32px;
    max-width: 665px;
}

.hapoel-adress-block {
    padding: 32px;
    border: 1px solid #E9E7F2;
    border-radius: 20px;
}

.hapoel-address-block__title {
    display: flex;
    align-items: center;
    gap: 30px;
    justify-content: space-between;
    margin-bottom: 16px;
}

.hapoel-address-block__title h2 {
    margin: 0 !important;
}

.hapoel-address-block__title a {
    display: flex;
    align-items: center;
    gap: 6px;
    color: black;
    text-decoration: none !important;
    font-size: 18px !important;
    font-weight: 600 !important;
    margin: 0 !important;
}

.hapoel-adress-block address {
    margin: 0;
    font-size: 18px;
    line-height: 1.6;
    color: black;
}

.hapoel-form-edit-address form .woocommerce-address-fields__field-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
}

.hapoel-form-edit-address form p {
    margin-bottom: 0;
}

.hapoel-form-edit-address .form-row {
    flex: 1 0 auto;
    margin: 0 !important;
}

.hapoel-form-edit-address .form-row-first,
.hapoel-form-edit-address .form-row-last {
    float: unset !important;
    width: auto !important;
    max-width: 50%;
}

.hapoel-form-edit-address input:not(input[type="checkbox"]):not(input[type="radio"]),
.hapoel-form-edit-address input:not(input[type="checkbox"]):not(input[type="radio"]),
.hapoel-form-edit-address input:not(input[type="checkbox"]):not(input[type="radio"]) {
    height: 52px;
    border-radius: 10px;
    border: 1px solid #E9E7F2 !important;
    padding: 0 10px;
} 

.hapoel-form-edit-address input::placeholder {
     opacity: 0 !important;
}

.hapoel-form-edit-address form .button[type="submit"] {
    margin-top: 32px;
}

.hapoel-form-edit-address form .button[type="submit"]:after {
    content: "";
    width: 24px;
    height: 24px;
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjMiIGhlaWdodD0iMTYiIHZpZXdCb3g9IjAgMCAyMyAxNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik0yMi44Mjg0IDEuNDE0MjFMOC40MTQyMSAxNS44Mjg0TDAgNy40MTQyMUwxLjQxNDIxIDZMOC40MTQyMSAxM0wyMS40MTQyIDBMMjIuODI4NCAxLjQxNDIxWiIgZmlsbD0iI2ZmZiIvPgo8L3N2Zz4=");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

.hapoel .form-row .select2-container--default .select2-selection--single {
    height: 52px;
    box-shadow: none;
    border-color: #e9e7f2;
    border-radius: 10px;
}

.hapoel .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 52px;
    padding-left: calc(16px + 40px);
    padding-right: 20px;
    font-size: 18px;
    color: var(--hapoel-color-throat);
}

:dir(ltr) .hapoel .select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-left: 20px;
    padding-right: calc(16px + 40px);
}

.hapoel .select2-container--default .select2-selection--single .select2-selection__rendered .select2-selection__placeholder {
    display: none;
}

.hapoel .form-row .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 52px;
    width: 16px;
    top: 0;
    left: 20px;
}

:dir(ltr) .hapoel .form-row .select2-container--default .select2-selection--single .select2-selection__arrow {
    left: auto;
    right: 20px;
}

.hapoel .form-row .select2-container--default .select2-selection--single .select2-selection__arrow b {
    display: none;
}

.hapoel .form-row .select2-container--default .select2-selection--single .select2-selection__arrow::before {
    content: "";
    display: block;
    width: 16px;
    height: 16px;
    position: absolute;
    left: 0;
    top: calc(50% - 8px);
    background-image: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M1.05347 5.00055L7.99629 11.9434L14.9391 5.00055L13.9963 4.05774L7.99629 10.0577L1.99627 4.05775L1.05347 5.00055Z' fill='%23241D3A'/%3E%3C/svg%3E%0A");
    background-size: 100% 100%;
    transition: transform 0.4s ease;
}

.hapoel .form-row .select2-container--default .select2-selection--single[aria-expanded="true"] .select2-selection__arrow::before {
    transform: rotate(180deg);
}

.hapoel .select2-container--default .select2-results > .select2-results__options {
    max-height: 240px;
}

.hapoel .select2-dropdown {
    border: solid 1px #e9e7f2 !important;
    border-radius: 10px;
    margin-top: 10px;
}

.hapoel  .select2-container--default .select2-results__option[aria-selected=true],
.hapoel  .select2-container--default .select2-results__option[data-selected=true] {
    background-color: #efefef;
    color: var(--hapoel-color-throat);
}

.hapoel .select2-container--default .select2-results__option--highlighted[aria-selected],
.hapoel .select2-container--default .select2-results__option--highlighted[data-selected] {
    background-color: var(--hapoel-color-torch-red) !important;
    color: white !important;
}

.hapoel .select2-results__option {
    padding: 8px 20px;
    transition: background-color 0.2s ease, color 0.2s ease;
}

.hapoel .select2-container--default .select2-search--dropdown {
    padding: 12px;
}

.hapoel .select2-container--default .select2-search--dropdown .select2-search__field {
    border-color: #e9e7f2;
    height: 40px;
    padding: 0 8px;
    box-shadow: none;
    font-size: 16px;
}

.hapoel-myacc-navhead { display: none; }

.hapoel-myacc-navlist {
    margin: 0;
    list-style: none;
    max-height: 0;
    overflow: hidden;
}

.hapoel-myacc-navlist__wrapp {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-top: 20px;
    margin: 0;
}

.hapoel-myacc-navlist__wrapp  .woocommerce-MyAccount-navigation-link--dashboard,
.hapoel-myacc-navlist__wrapp  .woocommerce-MyAccount-navigation-link--downloads {
    display: none;
}


.hapoel-myacc-navlist a {
    color: black;
}


@media (max-width: 768px) {

    .hapoel-form-edit-address .form-row-first,
    .hapoel-form-edit-address .form-row-last {
        max-width: 100%;
    }

    .hapoel-address-block__title {
        flex-direction: column-reverse;
        align-items: flex-start;
    }

    .hapoel-page-title {
        font-size: 38px !important;
    }

  .hapoel .woocommerce:has(.woocommerce-MyAccount-content) {
    flex-direction: column;
  }

  .woocommerce-MyAccount-navigation {
    display: none;
  }

  .hapoel-myacc-navhead {
    display: block;
    padding: 12px 14px;
    border: 1px solid #E9E7F2;
    border-radius: 10px;
  }

  .hapoel-form-edit-account {
    max-width: 100%;
  }

  .hapoel-myacc-navbtn {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
  }

  .hapoel-myacc-navchev {
    width: 10px;
    height: 10px;
    border-right: 2px solid currentColor;
    border-bottom: 2px solid currentColor;
    transform: rotate(45deg);
    transition: transform .2s ease;
    transform-origin: 50% 50%;
  }


  .hapoel-myacc-navhead.is-open .hapoel-myacc-navchev {
    transform: rotate(-135deg);
  }
}

.happoel-orders-overflow {
    overflow: hidden;
}

.hapoel-orders-wrap {
    width: 100%;
    overflow-x: auto;
}

.hapoel-orders {
    display: flex;
    flex-direction: column;
    min-width: 800px;
}

.hapoel-orders .hapoel-orders__total {
    color: var(--hapoel-color-torch-red);
}

.hapoel-orders__head {
    font-size: 18px;
    color: #666175;
    line-height: 1.6;
    padding: 15px 8px;
}

.hapoel-orders__row {
    padding: 14px 8px;
    border-top: 1px solid #E9E7F2;
}

.hapoel-orders__row:last-child {
    border-bottom: 1px solid #E9E7F2;
}


.hapoel-orders__product-link {
    display: flex;
    align-items: center;
    gap: 8px;
}

.hapoel-orders__product-link:hover .hapoel-orders__name {
    color: var(--hapoel-color-torch-red);
}

.hapoel-orders__thumb {
    width: 32px;
    height: 32px;
}

.hapoel-orders__thumb img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.hapoel-orders__name {
    color: black;
    font-size: 18px;
    font-weight: 600;
    line-height: 1.6;
    max-width: 100px;
    min-width: 0;
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    transition: 0.4s ease;
}

.hapoel-orders__head,
.hapoel-orders__row {
  display: grid;
  grid-template-columns:
    minmax(200px, 1.4fr)
    120px   /* qty */
    120px  /* total */
    120px   /* order */
    120px  /* date */
    120px  /* status */
    40px;  /* arrow */

  align-items: center;
  color: black;
  line-height: 1.6;
  font-size: 18px !important;
}

:dir(ltr) .hapoel-orders__view svg {
    transform: rotate(180deg);
}

.hapoel-orders__view svg path {
    transition: 0.4s ease;
}

.hapoel-orders__view:hover svg path {
    fill: var(--hapoel-color-torch-red);
}

.woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details {
    border-radius: 20px;
    border-color: #E9E7F2;
    font-size: 18px;
    padding: 40px;
}

:dir(rtl)  .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details th,
:dir(rtl)  .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details td {
    text-align: right;
}

.woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details th,
.woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details td {
    font-size: 18px;
    padding: 20px 0;
}

:dir(rtl) .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details td:has(.woocommerce-button) {
    display: flex;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
    padding: 9px 0 0;
}

.woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details td:has(.woocommerce-button)::before {
    display: none;
} 

.woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details tr:has(.woocommerce-button) {
    margin: 0 !important;
    display: none !important;
}

.woocommerce:has(.hapoel-myacc-navhead) .woocommerce-customer-details address {
    font-size: 18px;
    margin-bottom: 0;
}

.woocommerce:has(.hapoel-myacc-navhead) .woocommerce-customer-details address p {
    margin: 0;
}

.woocommerce-message,
.woocommerce-error,
.woocommerce-info {
    display: flex;
    align-items: center;
    border-radius: 10px;
    box-shadow: 0 4px 30px 0 rgba(0, 0, 0, 0.15);
    font-size: 20px;
    font-weight: 600;
    padding: 12px 16px !important;
    background: #fff;
    border: none !important;
    list-style: none;
    position: relative;
    width: max-content;
    max-width: 100%;
    margin-right: 0;
    margin-left: auto;
}

.woocommerce-info {
    gap: 4px;
}

.hapoel:has(.hapoel-myacc-navhead) .woocommerce-message,
.hapoel:has(.hapoel-myacc-navhead) .woocommerce-error,
.hapoel:has(.hapoel-myacc-navhead) .woocommerce-info {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 50px;
    animation: hideNotice 1s ease forwards 4s;
}

.woocommerce-message,
.woocommerce-message a {
    color: #24B300;
}

.woocommerce-info,
.woocommerce-info a {
    color: #241D3A;
}

.woocommerce-error,
.woocommerce-error a {
    color: #FF1521;
}

.woocommerce-error a {
    margin-top: 10px;
}

.woocommerce-message a,
.woocommerce-error a,
.woocommerce-info a {
    margin-right: 4px;
}

.hapoel.single-product .woocommerce-message {
    margin: 35px auto 0;
}

:dir(rtl) .woocommerce-message::before {
    content: "";
    height: 30px;
    width: 2px;
    background-color: #24B300;
    display: inline-block;
    vertical-align: middle;
    margin-left: 16px;
}

:dir(ltr) .woocommerce-message::after {
    content: "";
    height: 30px;
    width: 2px;
    background-color: #24B300;
    display: inline-block;
    vertical-align: middle;
    margin-left: 16px;
}

:dir(rtl) .woocommerce-error li {
    border-right: 2px solid #FF1521;
    padding-right: 16px;
}

:dir(ltr) .woocommerce-error li {
    border-left: 2px solid #FF1521;
    padding-left: 16px;
}


:dir(rtl) .woocommerce-info::before {
    content: "";
    height: 30px;
    width: 2px;
    background: #241D3A;
    display: inline-block;
    vertical-align: middle;
    margin-left: 16px;
}

:dir(ltr) .woocommerce-info::after {
    content: "";
    height: 30px;
    width: 2px;
    background: #241D3A;
    display: inline-block;
    vertical-align: middle;
    margin-left: 16px;
    
    /* fix mobile*/
    position: absolute;
    right: 16px;
}


.hapoel-page-title {
    margin-top: 20px;
}

.woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details .woocommerce-Price-amount {
    color: var(--hapoel-color-torch-red);
    font-weight: 600;
}


@keyframes hideNotice {
    from {
        opacity: 1;
        visibility: visible;
    }

    to {
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
    }   
}

     .hapoel .woocommerce-order-details .woocommerce-table--order-details .woocommerce-Price-amount {
        color: var(--hapoel-color-torch-red);
        font-weight: 600;
     }

@media screen and (max-width: 991.9px) {
    
    .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details table tr {
        margin: 0 !important;
        display: table-row !important;
    }

    .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details .woocommerce-order-details__title {
        margin-bottom: 10px !important;
    }

    .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details table td {
        display: table-cell !important;
        border: none !important;
    }
}

@media screen and (max-width: 767.9px) {
    .hapoel .woocommerce-order-details .woocommerce-table--order-details th, 
    .hapoel .woocommerce-order-details .woocommerce-table--order-details td {
        padding: 10px 0 !important;
    }



    .woocommerce-message,
    .woocommerce-error,
    .woocommerce-info {
        font-size: 16px;
    }
    
    .woocommerce-info {
        flex-wrap: wrap;
        gap: 4px;
    }
    

    .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details {
        padding: 20px;
    }

    .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details th, .woocommerce:has(.hapoel-myacc-navhead) .woocommerce-order-details td {
        padding: 10px 0;
    }
}

@media screen and (max-width: 575.9px) {
    .hapoel-form-edit-account .woocommerce-form-row:has(.hapoel-gender-radios) {
        flex-wrap: wrap;
    }

    .hapoel-form-edit-account .hapoel-gender-radios {
        width: 100%;
        margin: 0;
    }
    
}

/* ACCOUNT PAGES END */


/* 404 Page start */

.error404 .site-content {
    padding: 0 !important;
}

.page-404 {
    padding: 150px 0;
}

.page-404__inner {
    display: flex;
    flex-direction: column;
    align-items: center;
}

body.error404 h1.page-404__title {
    font-size: 156px;
    line-height: 1;
    letter-spacing: 0.03em;
    margin-bottom: 24px;
    font-family: "RAG Marom", "RAG Sans", sans-serif;
    color: var(--hapoel-color-torch-red);
}

.page-404__subtitle {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
    color: black;
    text-align: center;
}

.page-404__text {
    font-size: 14px;
    margin-bottom: 32px;
    color: black;
    text-align: center;
}

.page-404__link.button {
    width: 100%;
    max-width: 370px;
}

@media screen and (max-width: 767px) {
    .page-404__title {
        font-size: 100px !important;
    }


    .page-404 {
        padding: 75px 0;
    }   
    
}

/* 404 Page end */

/* Coupons Start */

.hapoel .woocommerce-cart-form table.cart td.actions .coupon {
    display: flex;
    align-items: center;
    gap: 15px;
    float: none;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 15px;
}

.hapoel .woocommerce-cart-form table.cart td.actions .coupon input,
.hapoel .checkout_coupon input {
    height: 52px;
    border-radius: 10px;
    border: 1px solid #E9E7F2;
    padding: 0 10px;
    outline: none;
    box-shadow: none;
    transition: border-color 0.4s ease, color 0.4s ease;
    margin: 0;
    min-width: 230px;
}

.hapoel .woocommerce-cart-form table.cart td.actions .coupon input:focus,
.hapoel .checkout_coupon input:focus {
    border-color: var(--hapoel-color-torch-red);
}

.hapoel .woocommerce-cart-form table.cart td.actions .coupon input.has-error,
.hapoel .checkout_coupon input.has-error {
    border-color: var(--hapoel-color-torch-red);
    color: var(--hapoel-color-torch-red);
}

@media screen and (max-width: 767.9px) {
    .hapoel .checkout_coupon .form-row button {
        width: 100%;
    }
}

/* Coupons End */

.hapoel .woocommerce-order-details .woocommerce-table--order-details th,
.hapoel .woocommerce-order-details .woocommerce-table--order-details td {
    text-align: right;
    font-size: 18px !important;
}

:dir(ltr) .hapoel .woocommerce-order-details .woocommerce-table--order-details th,
:dir(ltr) .hapoel .woocommerce-order-details .woocommerce-table--order-details td {
    text-align: left;
}

.hapoel .woocommerce-order .woocommerce-notice--success {
    display: flex;
    align-items: center;
    gap: 5px;
    color: var(--hapoel-color-torch-red);
    font-weight: 600;
}

.hapoel .woocommerce-order .woocommerce-thankyou-order-received:before {
    background: var(--hapoel-color-torch-red);
    margin: 0;
}

.hapoel .woocommerce-order .woocommerce-thankyou-order-details {
    background-color: #efefef;
    border-radius: 10px;
}

.hapoel.woocommerce-order-received .woocommerce-order-details {
    border: 1px solid #e9e7f2;
}

.woocommerce-order-received .woocommerce-order-details table {
    font-size: 18px;
}

table.woocommerce-table--order-details tbody td {
    border: none;
}

.woocommerce-order-received table.woocommerce-table--order-details tfoot tr:first-child td,
.woocommerce-order-received table.woocommerce-table--order-details tfoot tr:first-child th {
    border-top: 1px solid #e9e7f2 !important; 
}

table.woocommerce-table--order-details thead th {
    border-bottom: 1px solid #e9e7f2 !important;
}

@media screen and (max-width: 767.9px) {
    .hapoel .woocommerce-order-details .woocommerce-table--order-details th,
    .hapoel .woocommerce-order-details .woocommerce-table--order-details td {
        font-size: 14px !important;
    }
    
}